<?php
require_once(SITE_LOGICS . 'transfer/logic.php');

class ControlTransfer extends LogicTransfer {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		// 変数宣言部
		$result = NO_STRING;
		try {
		    $this -> checkAvailability("site", function(){
		        require_once $this -> getUserHTML('TEMPLATE_MAINTENANCE_MODE_SITE_PATH');
		        exit();
		    });
		    
			// アクション実行
			$result = $this -> logic();

			// 画面の表示
			if($this -> getType() == TYPE_INPUT) {				// 入力画面
				require_once($this -> getUserHTML('TEMPLATE_TRANSFER_STEP2_PATH', $this -> dispHTML()));
			} else if($this -> getType() == TYPE_CONFIRM) {		// 確認画面
				require_once($this -> getUserHTML('TEMPLATE_TRANSFER_STEP2_CONFIRM_PATH', $this -> dispHTML()));
			} else if($this -> getType() == TYPE_COMPLETE) {	// 完了画面
				require_once($this -> getUserHTML('TEMPLATE_TRANSFER_STEP2_COMPLETE_PATH', $this -> dispHTML()));
			} else if($this -> getType() == TYPE_BACK) {		// 戻る画面（入力画面へ）
				require_once($this -> getUserHTML('TEMPLATE_TRANSFER_STEP2_PATH', $this -> dispHTML()));
			}  else if($this -> getType() == TYPE_2FA_DISABLE_ONE) {		// 戻る画面（入力画面へ）
				require_once($this -> getUserHTML('TEMPLATE_2FA_DISABLE_TRANSFER', $this -> dispHTML()));
			} else {
				require_once($this -> getUserHTML('TEMPLATE_TRANSFER_STEP1_PATH', $this -> dispHTML()));
			}

		} catch (Exception $e) {
			
			if($e -> getMessage() != NO_STRING) {
				require_once($this -> getUserHTML('TEMPLATE_TMP_PROCESS_INVALID_PATH', $this -> dispHTML()));
			} else {
				header('Location: /' . $this ->  getLangage() . '/login');
			}
		}
	}
}
?>